Bug 570930

Summary: gnome-terminal in F13 may not update when uncovered
Product: [Fedora] Fedora Reporter: Steve Tyler <stephent98>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: behdad, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 11:05:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
screenshot showing white regions that were not updated none

Description Steve Tyler 2010-03-05 16:17:08 EST
Created attachment 398144 [details]
screenshot showing white regions that were not updated

Description of problem:
When a pop-up window covers a gnome-terminal window having text, the text may not be updated when the pop-up is closed. Screenshot attached. NB: the screenshot dialog itself obliterated a bit more itself.

Switching to another workspace and back results in the window being completely white.

Version-Release number of selected component (if applicable):
gnome-terminal-2.29.6-3.fc13.x86_64
A fresh F13 installation on a hard drive partition. Updated.

How reproducible:
Reproduced several times.

Steps to Reproduce:
Here is what I did:
Open two terminals, and tile them as in the screenshot.
In the top window:
$ su
$ tail -f /var/log/messages
Scroll the window to the top (I believe a longish messages file helps).
Select the bottom window.
Insert an audio CD in the optical drive and manually close the tray.
Wait for the "You have just inserted ..." dialog to appear.
(it partly covers the top window, and is partly hidden by the bottom window -- a bug?)
In the bottom window type: "eject".
  
Actual results:
After the CD ejects, the dialog disappears.
There is a white region in the top window where the dialog had covered it.
Clicking the scroller in the top window refreshes the text.

Expected results:
Top window is updated.

Additional info:
Comment 1 Steve Tyler 2010-03-05 16:41:32 EST
Here is a slight variant of the procedure.

$ su -c 'cat /var/log/messages' # generate a lot of lines
$ while true; do sleep 1; date; echo 123456789 ; done # generate new lines

Scroll to the top.
The new text appearing at the end is not visible and the window does not scroll.

NB: gnome-terminal has its default settings.
In particular, scroll on output is disabled.
Comment 2 Steve Tyler 2010-03-05 16:47:24 EST
(In reply to comment #1)
> NB: gnome-terminal has its default settings.

Correction: I increased the font size to 14.
Comment 3 Matthias Clasen 2010-03-08 13:16:29 EST
Doesn't look like a gnome-terminal issue to me. If you look at you screenshot, the metacity frame also fails to redraw.
Comment 4 Steve Tyler 2010-03-08 16:20:08 EST
Even simpler procedure:

Open a gnome-terminal window in the middle of the desktop (no need to resize).

$ su -c 'cat /var/log/messages' # generate a lot of lines
$ while true; do sleep 1; date; echo 123456789 ; done # generate new lines

Scroll to the top.

Repeatedly switch at another workspace and back.

Eventually the window is completely white.

Refresh by clicking on the scroller or up arrow.

Opening the trash so that it overlaps the gnome-terminal window and then closing it also results in obliterated text.

Repeatedly selecting System:Preferences and closing eventually obliterates the region where the menu was.

Matthias: The frame looks complete when I do the above. The screenshot app. may have introduced some artifacts.
Comment 5 Steve Tyler 2010-03-08 16:35:52 EST
Reproduced on F12: gnome-terminal-2.28.2-1.fc12.x86_64
Comment 6 Bug Zapper 2011-06-02 12:18:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 11:05:45 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.